<?php
/**
 * Term
 *
 * PHP version 5
 *
 * @category Model
 * @package  Croogo
 * @version  1.0
 * @author   Fahad Ibnay Heylaal <contact@fahad19.com>
 * @license  http://www.opensource.org/licenses/mit-license.php The MIT License
 * @link     http://www.croogo.org
 */
class Term extends AppModel {
/**
 * Model name
 *
 * @var string
 * @access public
 */
    var $name = 'Term';
/**
 * Behaviors used by the Model
 *
 * @var array
 * @access public
 */
    var $actsAs = array('Tree');
/**
 * Validation
 *
 * @var array
 * @access public
 */
    var $validate = array(
        'slug' => array(
            'rule' => 'isUnique',
            'message' => 'This slug has already been taken.',
        ),
    );
/**
 * Model associations: belongsTo
 *
 * @var array
 * @access public
 */
    var $belongsTo = array(
        'Vocabulary' => array('counterCache' => true)
    );

}
?>